## org.apache.catalina.ant
Class InstallTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.InstallTask

public class InstallTask
extends AbstractCatalinaTask

Ant task that implements the `/install` command, supported by the Tomcat manager application.

Since:
  4.1
Version:
  $Revision: 289110 $ $Date: 2005-06-11 06:47:37 -0400 (Sat, 11 Jun 2005) $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` `config` URL of the context configuration file for this application, if any.
`protected java.lang.String` `path` The context path of the web application we are managing.
`protected java.lang.String` `war` URL of the web application archive (WAR) file, or the unpacked directory containing this application, if any.

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`InstallTask()`

Method Summary
`void` `execute()` Execute the requested operation.
`java.lang.String` `getConfig()`
`java.lang.String` `getPath()`
`java.lang.String` `getWar()`
`void` `setConfig(java.lang.String config)`
`void` `setPath(java.lang.String path)`
`void` `setWar(java.lang.String war)`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected java.lang.String config

  URL of the context configuration file for this application, if any.

### path

    protected java.lang.String path

  The context path of the web application we are managing.

### war

    protected java.lang.String war

  URL of the web application archive (WAR) file, or the unpacked directory containing this application, if any.

Constructor Detail

### InstallTask

    public InstallTask()

Method Detail

### getConfig

    public java.lang.String getConfig()

### setConfig

    public void setConfig(java.lang.String config)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getWar

    public java.lang.String getWar()

### setWar

    public void setWar(java.lang.String war)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.